# eric6.Project.ProjectInterfacesBrowser

Module implementing the a class used to display the interfaces (IDL) part of the project.

### Global Attributes

None

### Classes

ProjectInterfacesBrowser | A class used to display the interfaces (IDL) part of the project.

### Functions

None

## ProjectInterfacesBrowser

A class used to display the interfaces (IDL) part of the project.

### Signals

appendStderr(str)
  emitted after something was received from a QProcess on stderr
appendStdout(str)
  emitted after something was received from a QProcess on stdout
closeSourceWindow(str)
  emitted after a file has been removed/deleted from the project
showMenu(str, QMenu)
  emitted when a menu is about to be shown. The name of the menu and a reference to the menu are given.
sourceFile(str, int = 0)
  emitted to open a file

### Derived from

ProjectBaseBrowser

### Class Attributes

None

### Class Methods

None

### Methods

ProjectInterfacesBrowser | Constructor
__addInterfaceFiles | Private method to add interface files to the project.
__addInterfacesDirectory | Private method to add interface files of a directory to the project.
__compileAllInterfaces | Private method to compile all interfaces to python.
__compileIDL | Private method to compile a .idl file to python.
__compileIDLDone | Private slot to handle the finished signal of the omniidl process.
__compileInterface | Private method to compile an interface to python.
__compileSelectedInterfaces | Private method to compile selected interfaces to python.
__configureCorba | Private method to open the configuration dialog.
__deleteFile | Private method to delete files from the project.
__readStderr | Private slot to handle the readyReadStandardError signal of the omniidl process.
__readStdout | Private slot to handle the readyReadStandardOutput signal of the omniidl process.
__showContextMenu | Private slot called by the menu aboutToShow signal.
__showContextMenuBack | Private slot called by the backMenu aboutToShow signal.
__showContextMenuDir | Private slot called by the dirMenu aboutToShow signal.
__showContextMenuDirMulti | Private slot called by the dirMultiMenu aboutToShow signal.
__showContextMenuMulti | Private slot called by the multiMenu aboutToShow signal.
_contextMenuRequested | Protected slot to show the context menu.
_createPopupMenus | Protected overloaded method to generate the popup menu.
_openItem | Protected slot to handle the open popup menu entry.

### Static Methods

None

#### ProjectInterfacesBrowser (Constructor)

ProjectInterfacesBrowser(project, parent=None)

Constructor

project
  reference to the project object
parent
  parent widget of this browser (QWidget)

#### ProjectInterfacesBrowser.__addInterfaceFiles

__addInterfaceFiles()

Private method to add interface files to the project.

#### ProjectInterfacesBrowser.__addInterfacesDirectory

__addInterfacesDirectory()

Private method to add interface files of a directory to the project.

#### ProjectInterfacesBrowser.__compileAllInterfaces

__compileAllInterfaces()

Private method to compile all interfaces to python.

#### ProjectInterfacesBrowser.__compileIDL

__compileIDL(fn, noDialog=False, progress=None)

Private method to compile a .idl file to python.

fn
  filename of the .idl file to be compiled (string)
noDialog
  flag indicating silent operations (boolean)
progress
  reference to the progress dialog (E5ProgressDialog)

Returns:
  reference to the compile process (QProcess)

#### ProjectInterfacesBrowser.__compileIDLDone

__compileIDLDone(exitCode, exitStatus)

Private slot to handle the finished signal of the omniidl process.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### ProjectInterfacesBrowser.__compileInterface

__compileInterface()

Private method to compile an interface to python.

#### ProjectInterfacesBrowser.__compileSelectedInterfaces

__compileSelectedInterfaces()

Private method to compile selected interfaces to python.

#### ProjectInterfacesBrowser.__configureCorba

__configureCorba()

Private method to open the configuration dialog.

#### ProjectInterfacesBrowser.__deleteFile

__deleteFile()

Private method to delete files from the project.

#### ProjectInterfacesBrowser.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal of the omniidl process.

#### ProjectInterfacesBrowser.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal of the omniidl process.

#### ProjectInterfacesBrowser.__showContextMenu

__showContextMenu()

Private slot called by the menu aboutToShow signal.

#### ProjectInterfacesBrowser.__showContextMenuBack

__showContextMenuBack()

Private slot called by the backMenu aboutToShow signal.

#### ProjectInterfacesBrowser.__showContextMenuDir

__showContextMenuDir()

Private slot called by the dirMenu aboutToShow signal.

#### ProjectInterfacesBrowser.__showContextMenuDirMulti

__showContextMenuDirMulti()

Private slot called by the dirMultiMenu aboutToShow signal.

#### ProjectInterfacesBrowser.__showContextMenuMulti

__showContextMenuMulti()

Private slot called by the multiMenu aboutToShow signal.

#### ProjectInterfacesBrowser._contextMenuRequested

_contextMenuRequested(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### ProjectInterfacesBrowser._createPopupMenus

_createPopupMenus()

Protected overloaded method to generate the popup menu.

#### ProjectInterfacesBrowser._openItem

_openItem()

Protected slot to handle the open popup menu entry.

Up